> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get External Quote for this asset



## OpenAPI

````yaml /openapi.json get /assets/{assetId}/external-quote
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /assets/{assetId}/external-quote:
    get:
      tags:
        - asset
      summary: Get External Quote for this asset
      operationId: AssetController_getAssetExternalQuote
      parameters:
        - name: assetId
          required: true
          in: path
          description: assetId
          schema:
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
        - name: branchId
          required: false
          in: query
          description: 'Optional: the branchId'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAssetExternalQuoteOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ExternalQuoteNotFoundErrorDto'
                  - $ref: '#/components/schemas/AssetNotFoundErrorDto'
                  - $ref: '#/components/schemas/QuoteNotFoundErrorDto'
              examples:
                EXTERNAL_QUOTE_NOT_FOUND:
                  $ref: '#/components/schemas/ExternalQuoteNotFoundErrorDto'
                ASSET_NOT_FOUND:
                  $ref: '#/components/schemas/AssetNotFoundErrorDto'
                QUOTE_NOT_FOUND:
                  $ref: '#/components/schemas/QuoteNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetAssetExternalQuoteOutput:
      type: object
      properties:
        externalQuoteId:
          type: object
        data:
          type: object
      required:
        - externalQuoteId
        - data
    ExternalQuoteNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - EXTERNAL_QUOTE_NOT_FOUND
        message:
          type: string
          example: External quote not found for quote {id}
        details:
          $ref: '#/components/schemas/ExternalQuoteNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    AssetNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - ASSET_NOT_FOUND
        message:
          type: string
          example: Asset {assetId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/AssetNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    QuoteNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - QUOTE_NOT_FOUND
        message:
          type: string
          example: Quote not found for {id}
        details:
          $ref: '#/components/schemas/QuoteNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    ExternalQuoteNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id
    AssetNotFoundDetailsDto:
      type: object
      properties:
        assetId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - assetId
    QuoteNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````